SELECT
visit.pid,
MAX(visit.visitdate) as 'วันที่มารับบริการครั้งสุดท้าย',
deaddate as 'วันตาย'
FROM
visit
INNER JOIN persondeath ON visit.pid = persondeath.pid
AND persondeath.pcucodeperson=visit.pcucodeperson
GROUP BY
visit.pid
ORDER BY
visit.pid;
#create by rambo